<?php
/* Autor...:  */
/* Esquema.: SR_GuiaRemisionDet.xml */
/* Generado: 2021-05-03 06:53:22 */

/* Metodos de acceso a los campos de la tabla SR_GuiaRemisionDet */
abstract class BaseSR_GuiaRemisionDetBN
{
    /* Campos de la tabla */
    private $i_GuiaRemisionDetId;    // GuiaRemisionDetId: ( no definido )
    private $s_GuiaRemisionId;    // GuiaRemisionId: ( no definido )
    private $i_MovimientoId;    // MovimientoId: ( no definido )
    private $s_IdItem;    // IdItem: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_Secuencia;    // Secuencia: ( no definido )
    private $i_ProFinalId;    // ProFinalId: ( no definido )
    private $i_ProFinalDetId;    // ProFinalDetId: ( no definido )
    private $i_IdUnidad;    // IdUnidad: ( no definido )
    private $f_Cantidad;    // Cantidad: ( no definido )
    private $f_PesoUnitario;    // PesoUnitario: ( no definido )
    private $f_PesoTotal;    // PesoTotal: ( no definido )
    private $f_CantidadPendienteDevolucion;    // CantidadPendienteDevolucion: ( no definido )
    private $i_DiasMinimoAlquiler;    // DiasMinimoAlquiler: ( no definido )
    private $f_PrecioUnitarioAlquilerLocal;    // PrecioUnitarioAlquilerLocal: ( no definido )
    private $f_PrecioUnitarioAlquilerDolares;    // PrecioUnitarioAlquilerDolares: ( no definido )
    private $f_PrecioUnitarioVentaLocal;    // PrecioUnitarioVentaLocal: ( no definido )
    private $f_PrecioUnitarioVentaDolares;    // PrecioUnitarioVentaDolares: ( no definido )

    /* Establece el valor del campo GuiaRemisionDetId */
    public function setGuiaRemisionDetId( $i_GuiaRemisionDetId )
    {
        $this->i_GuiaRemisionDetId = $i_GuiaRemisionDetId;
    }

    /* Obtiene el valor del campo GuiaRemisionDetId */
    public function getGuiaRemisionDetId()
    {
        return $this->i_GuiaRemisionDetId;
    }

    /* Establece el valor del campo GuiaRemisionId */
    public function setGuiaRemisionId( $s_GuiaRemisionId )
    {
        $this->s_GuiaRemisionId = $s_GuiaRemisionId;
    }

    /* Obtiene el valor del campo GuiaRemisionId */
    public function getGuiaRemisionId()
    {
        return $this->s_GuiaRemisionId;
    }

    /* Establece el valor del campo MovimientoId */
    public function setMovimientoId( $i_MovimientoId )
    {
        $this->i_MovimientoId = $i_MovimientoId;
    }

    /* Obtiene el valor del campo MovimientoId */
    public function getMovimientoId()
    {
        return $this->i_MovimientoId;
    }

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo Secuencia */
    public function setSecuencia( $s_Secuencia )
    {
        $this->s_Secuencia = $s_Secuencia;
    }

    /* Obtiene el valor del campo Secuencia */
    public function getSecuencia()
    {
        return $this->s_Secuencia;
    }

    /* Establece el valor del campo ProFinalId */
    public function setProFinalId( $i_ProFinalId )
    {
        $this->i_ProFinalId = $i_ProFinalId;
    }

    /* Obtiene el valor del campo ProFinalId */
    public function getProFinalId()
    {
        return $this->i_ProFinalId;
    }

    /* Establece el valor del campo ProFinalDetId */
    public function setProFinalDetId( $i_ProFinalDetId )
    {
        $this->i_ProFinalDetId = $i_ProFinalDetId;
    }

    /* Obtiene el valor del campo ProFinalDetId */
    public function getProFinalDetId()
    {
        return $this->i_ProFinalDetId;
    }

    /* Establece el valor del campo IdUnidad */
    public function setIdUnidad( $i_IdUnidad )
    {
        $this->i_IdUnidad = $i_IdUnidad;
    }

    /* Obtiene el valor del campo IdUnidad */
    public function getIdUnidad()
    {
        return $this->i_IdUnidad;
    }

    /* Establece el valor del campo Cantidad */
    public function setCantidad( $f_Cantidad )
    {
        $this->f_Cantidad = $f_Cantidad;
    }

    /* Obtiene el valor del campo Cantidad */
    public function getCantidad()
    {
        return $this->f_Cantidad;
    }

    /* Establece el valor del campo PesoUnitario */
    public function setPesoUnitario( $f_PesoUnitario )
    {
        $this->f_PesoUnitario = $f_PesoUnitario;
    }

    /* Obtiene el valor del campo PesoUnitario */
    public function getPesoUnitario()
    {
        return $this->f_PesoUnitario;
    }

    /* Establece el valor del campo PesoTotal */
    public function setPesoTotal( $f_PesoTotal )
    {
        $this->f_PesoTotal = $f_PesoTotal;
    }

    /* Obtiene el valor del campo PesoTotal */
    public function getPesoTotal()
    {
        return $this->f_PesoTotal;
    }

    /* Establece el valor del campo CantidadPendienteDevolucion */
    public function setCantidadPendienteDevolucion( $f_CantidadPendienteDevolucion )
    {
        $this->f_CantidadPendienteDevolucion = $f_CantidadPendienteDevolucion;
    }

    /* Obtiene el valor del campo CantidadPendienteDevolucion */
    public function getCantidadPendienteDevolucion()
    {
        return $this->f_CantidadPendienteDevolucion;
    }

    /* Establece el valor del campo DiasMinimoAlquiler */
    public function setDiasMinimoAlquiler( $i_DiasMinimoAlquiler )
    {
        $this->i_DiasMinimoAlquiler = $i_DiasMinimoAlquiler;
    }

    /* Obtiene el valor del campo DiasMinimoAlquiler */
    public function getDiasMinimoAlquiler()
    {
        return $this->i_DiasMinimoAlquiler;
    }

    /* Establece el valor del campo PrecioUnitarioAlquilerLocal */
    public function setPrecioUnitarioAlquilerLocal( $f_PrecioUnitarioAlquilerLocal )
    {
        $this->f_PrecioUnitarioAlquilerLocal = $f_PrecioUnitarioAlquilerLocal;
    }

    /* Obtiene el valor del campo PrecioUnitarioAlquilerLocal */
    public function getPrecioUnitarioAlquilerLocal()
    {
        return $this->f_PrecioUnitarioAlquilerLocal;
    }

    /* Establece el valor del campo PrecioUnitarioAlquilerDolares */
    public function setPrecioUnitarioAlquilerDolares( $f_PrecioUnitarioAlquilerDolares )
    {
        $this->f_PrecioUnitarioAlquilerDolares = $f_PrecioUnitarioAlquilerDolares;
    }

    /* Obtiene el valor del campo PrecioUnitarioAlquilerDolares */
    public function getPrecioUnitarioAlquilerDolares()
    {
        return $this->f_PrecioUnitarioAlquilerDolares;
    }

    /* Establece el valor del campo PrecioUnitarioVentaLocal */
    public function setPrecioUnitarioVentaLocal( $f_PrecioUnitarioVentaLocal )
    {
        $this->f_PrecioUnitarioVentaLocal = $f_PrecioUnitarioVentaLocal;
    }

    /* Obtiene el valor del campo PrecioUnitarioVentaLocal */
    public function getPrecioUnitarioVentaLocal()
    {
        return $this->f_PrecioUnitarioVentaLocal;
    }

    /* Establece el valor del campo PrecioUnitarioVentaDolares */
    public function setPrecioUnitarioVentaDolares( $f_PrecioUnitarioVentaDolares )
    {
        $this->f_PrecioUnitarioVentaDolares = $f_PrecioUnitarioVentaDolares;
    }

    /* Obtiene el valor del campo PrecioUnitarioVentaDolares */
    public function getPrecioUnitarioVentaDolares()
    {
        return $this->f_PrecioUnitarioVentaDolares;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'GuiaRemisionDetId' => $this->getGuiaRemisionDetId(),
            'GuiaRemisionId' => $this->getGuiaRemisionId(),
            'MovimientoId' => $this->getMovimientoId(),
            'IdItem' => $this->getIdItem(),
            'Descripcion' => $this->getDescripcion(),
            'Secuencia' => $this->getSecuencia(),
            'ProFinalId' => $this->getProFinalId(),
            'ProFinalDetId' => $this->getProFinalDetId(),
            'IdUnidad' => $this->getIdUnidad(),
            'Cantidad' => $this->getCantidad(),
            'PesoUnitario' => $this->getPesoUnitario(),
            'PesoTotal' => $this->getPesoTotal(),
            'CantidadPendienteDevolucion' => $this->getCantidadPendienteDevolucion(),
            'DiasMinimoAlquiler' => $this->getDiasMinimoAlquiler(),
            'PrecioUnitarioAlquilerLocal' => $this->getPrecioUnitarioAlquilerLocal(),
            'PrecioUnitarioAlquilerDolares' => $this->getPrecioUnitarioAlquilerDolares(),
            'PrecioUnitarioVentaLocal' => $this->getPrecioUnitarioVentaLocal(),
            'PrecioUnitarioVentaDolares' => $this->getPrecioUnitarioVentaDolares(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto SR_GuiaRemisionDetBN desde un RecordSet */
    public static function retrieveByRs( $o_SR_GuiaRemisionDetRs )
    {
        $o_SR_GuiaRemisionDetBN = new SR_GuiaRemisionDetBN();
        $o_SR_GuiaRemisionDetBN->setGuiaRemisionDetId( ( integer ) $o_SR_GuiaRemisionDetRs[ "GuiaRemisionDetId" ] );
        $o_SR_GuiaRemisionDetBN->setGuiaRemisionId( $o_SR_GuiaRemisionDetRs[ "GuiaRemisionId" ] );
        $o_SR_GuiaRemisionDetBN->setMovimientoId( ( integer ) $o_SR_GuiaRemisionDetRs[ "MovimientoId" ] );
        $o_SR_GuiaRemisionDetBN->setIdItem( $o_SR_GuiaRemisionDetRs[ "IdItem" ] );
        $o_SR_GuiaRemisionDetBN->setDescripcion( $o_SR_GuiaRemisionDetRs[ "Descripcion" ] );
        $o_SR_GuiaRemisionDetBN->setSecuencia( $o_SR_GuiaRemisionDetRs[ "Secuencia" ] );
        $o_SR_GuiaRemisionDetBN->setProFinalId( ( integer ) $o_SR_GuiaRemisionDetRs[ "ProFinalId" ] );
        $o_SR_GuiaRemisionDetBN->setProFinalDetId( ( integer ) $o_SR_GuiaRemisionDetRs[ "ProFinalDetId" ] );
        $o_SR_GuiaRemisionDetBN->setIdUnidad( ( integer ) $o_SR_GuiaRemisionDetRs[ "IdUnidad" ] );
        $o_SR_GuiaRemisionDetBN->setCantidad( ( float ) $o_SR_GuiaRemisionDetRs[ "Cantidad" ] );
        $o_SR_GuiaRemisionDetBN->setPesoUnitario( ( float ) $o_SR_GuiaRemisionDetRs[ "PesoUnitario" ] );
        $o_SR_GuiaRemisionDetBN->setPesoTotal( ( float ) $o_SR_GuiaRemisionDetRs[ "PesoTotal" ] );
        $o_SR_GuiaRemisionDetBN->setCantidadPendienteDevolucion( ( float ) $o_SR_GuiaRemisionDetRs[ "CantidadPendienteDevolucion" ] );
        $o_SR_GuiaRemisionDetBN->setDiasMinimoAlquiler( ( integer ) $o_SR_GuiaRemisionDetRs[ "DiasMinimoAlquiler" ] );
        $o_SR_GuiaRemisionDetBN->setPrecioUnitarioAlquilerLocal( ( float ) $o_SR_GuiaRemisionDetRs[ "PrecioUnitarioAlquilerLocal" ] );
        $o_SR_GuiaRemisionDetBN->setPrecioUnitarioAlquilerDolares( ( float ) $o_SR_GuiaRemisionDetRs[ "PrecioUnitarioAlquilerDolares" ] );
        $o_SR_GuiaRemisionDetBN->setPrecioUnitarioVentaLocal( ( float ) $o_SR_GuiaRemisionDetRs[ "PrecioUnitarioVentaLocal" ] );
        $o_SR_GuiaRemisionDetBN->setPrecioUnitarioVentaDolares( ( float ) $o_SR_GuiaRemisionDetRs[ "PrecioUnitarioVentaDolares" ] );
        return $o_SR_GuiaRemisionDetBN;
    }
}
?>